#! /usr/bin/env python

import os

def trouverPrenomsAvecFrequenceSup50(nomFich) : 
	#if os.path.exists(nomFich) :
	if os.path.isfile(nomFich):
		f = open(nomFich, 'r')
		ligne = f.readline()
		while ligne != '' : 
			ligneEntokens = ligne.split()
			if int(ligneEntokens[1]) >= 50 :
				print(ligneEntokens[0])
			ligne = f.readline()
		f.close() 
	else :
		print('le fichier '+nomFich+' n\'existe pas')

nomFichier = 'babynames.txt'
trouverPrenomsAvecFrequenceSup50(nomFichier)
